{"openapi":"3.0.0","info":{"description":"Backend API для мобильного приложения клиентов","version":"1.0.0","title":"5BOX","contact":{}},"paths":{"/account/":{"get":{"tags":["Аккаунт"],"summary":"Получение пользователя","description":"Возвращает данные профиля пользователя.","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSuccess"}}}},"401":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response401"}}}}}},"put":{"tags":["Аккаунт"],"summary":"Обновление пользователя","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"description":"Метод для обновления данных пользователя.\n\n**1. name - Имя пользователя**\n\n**2. phone - Номер телефона**\n\n**3. email - Электронная почта пользователя**\n\nМетод поддерживает как полное, так и частичное обновление данных. Примеры частичного обновления данных:\n* Обновление имени:\n      \n      { \"name\": \"Андрей\" }\n\n\n* Обновление телефона:\n      \n      { \"phone\": \"+79655124478\" }\n\n\n* Обновление электронной почты:\n      \n      { \"email\": \"qwerty@qwe.ru\" }","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdate"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSuccess"}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserBad"}}}},"401":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response401"}}}}}}},"/account/card/":{"post":{"tags":["Аккаунт"],"summary":"Создание карты для пользователя","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Card"}}}},"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response401"}}}}}},"put":{"tags":["Аккаунт"],"summary":"Создание карты для пользователя","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"description":"Метод для обновления данных пользователя.\n\n**1. pan - Номер карты**\n\n**2. expire_date - Дата**\n\n**3. cvv - CVV код**\n\nМетод поддерживает как полное, так и частичное обновление данных. Примеры частичного обновления данных:\n* Обновление имени:\n      \n      { \n        \"id\": 1,\n        \"pan\": \"1234567891234500\" \n      }\n\n\n* Обновление телефона:\n\n      { \n        \"id\": 1,\n        \"expire_date\": \"12/22\"\n      }\n\n\n* Обновление электронной почты:\n\n      { \n        \"id\": 1,\n        \"cvv\": 808\n      }\n      ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPut"}}}},"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response401"}}}}}}},"/account/cart/":{"get":{"tags":["Аккаунт"],"summary":"Получение товаров в корзине","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartSuccessGet"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartBadGet"}}}}}}},"/account/cart/{id}/":{"delete":{"tags":["Аккаунт"],"summary":"Удаление продукта из корзины","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}},{"name":"id","in":"path","description":"Уникальный ключ товара в корзине","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartSuccessDelete"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartBadDelete"}}}}}}},"/account/cart/confirm/":{"put":{"tags":["Аккаунт"],"summary":"Отметка об оплате заказа через кассу магазина","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"description":"Контроллер принимает уникальный ключ корзины и отмечает ее как купленную через кассу\n","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopConfirmBody"}}}},"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartSuccessConfirmation"}}}},"404":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartBadConfirmation"}}}}}}},"/account/content/":{"get":{"tags":["Аккаунт"],"summary":"Информация для пользователя","description":"Получение текста пользовательского соглашения, контента Оферта","parameters":[],"operationId":"","responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountContentSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountContentBad"}}}}},"security":[{"bearerAuth":[]}]}},"/account/history/":{"get":{"tags":["Аккаунт"],"summary":"Истории покупок","description":"Получение всех покупок","parameters":[],"operationId":"","responses":{"200":{"description":"Default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountHistorySuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountHistoryBad"}}}}},"security":[{"bearerAuth":[]}]}},"/account/support/request/":{"post":{"tags":["Аккаунт"],"summary":"Обращение за помощью","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"description":"Контроллер принимает тему обращения и сообщение от пользователя\n\n**1. topic_id - уникальный ключ темы**\n\n**2. message - сообщение пользователя**","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopService"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopServiceSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopServiceBad"}}}}}}},"/account/support/topic/":{"get":{"tags":["Аккаунт"],"summary":"Получение списка тем","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicBad"}}}}}}},"/authorize/":{"post":{"tags":["Авторизация"],"summary":"Вход / Регистрация пользователя","requestBody":{"description":"Пользователь проверяется по номеру телефона, если он не найден - создается, затем отправляется смс с кодом подтверждения\n\n**1. phone - номер телефона**","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Authorize"},"example":{"phone":"+79655124478"}}}},"responses":{"204":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizeResponseSuccess"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizeResponseBad"}}}}},"parameters":[]}},"/confirm/":{"post":{"tags":["Авторизация"],"summary":"Подтверждение авторизации","requestBody":{"description":"После успешного подтверждения номера телефона выдается токен\n\n**1. phone - номер телефона**\n\n**2. code - код подтверждения**","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Confirmation"},"example":{"phone":"+79655124478","code":"9999"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmationSuccess"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmationBad"}}}}},"parameters":[]}},"/general/content/":{"get":{"tags":["Общее"],"summary":"Общая информация о проекте","description":"Получение информации о проекте.","parameters":[],"operationId":"","responses":{"200":{"description":"Default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneralContentSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneralContentBad"}}}}},"security":[{"bearerAuth":[]}]}},"/logout/":{"post":{"tags":["Выход"],"summary":"Выход","description":"Завершение пользовательской сессии.","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"description":"**refresh - токен обновления**","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshToken"}}}},"responses":{"204":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogOutSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogOutBad"}}}}}}},"/shop/session/":{"post":{"security":[{"bearerAuth":[]}],"tags":["Магазин"],"summary":"Запись сессии","description":"Сохраняет все действия пользователя в магазине \n\nОтправляет push уведомление в зависимости от типа действия","responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Session200"}}}},"400":{"description":"Возникает при невалидном токене, некорректных данных","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Session400"}}}},"404":{"description":"Пользователь с таким токеном не найден","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Session404"}}}}},"requestBody":{"required":true,"description":"Взаимодействие пользователя с QR кодами \n\n**1. type - идентификатор типа действия**\n\n`1` - взаимодействие с дверью\n\n`100` - взаимодействие с товарами\n\n`200` - взаимодействие с приложением\n\n****\n\n**2. action - действие**\n\n`1` - Сканирование QR кода двери. Открытие\n\n`2` - Сканирование QR кода двери. Закрытие\n\n`101` - Сканирование QR кода товара. Взятие\n\n`102` - Сканирование QR кода товара. Возврат\n\n`103` - Покупка\n\n`201` - Обращение в службу поддержки\n\n****\n\n**3. token - токен от двери или продукта**\n\n**4. point - id точки магазина**","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Session"}}}},"parameters":[]}},"/shops/scan/":{"post":{"tags":["Магазин"],"summary":"Обработка QR кода","security":[{"bearerAuth":[]}],"parameters":[{"in":"header","name":"Authorization","description":"Authorization: Bearer {token}","schema":{"type":"string"}}],"requestBody":{"description":"Контроллер принимает QR коды от входной двери и товаров\n","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScanBody"}}}},"responses":{"200":{"description":" Структура данных объекта `node` меняется в зависимости от распознанного значения QR/штрих-кода:\n * Для типа `door`:\n \"node\":{ \"type\": \"inside\" }\n\n* Для типа `product`: \"node\": { \"price\": 540, \"title\": \"Продукт\" }","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScanSuccess"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScanBad"}}}}}}},"/shops/map/":{"get":{"tags":["Магазин"],"summary":"Получение карты","parameters":[],"responses":{"200":{"description":"Получение карты","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MapSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopPointsBad"}}}}},"security":[{"bearerAuth":[]}]}},"/shops/":{"get":{"tags":["Магазин"],"summary":"Информация о магазинах","description":"Получение основных данных магазинов.","parameters":[],"responses":{"200":{"description":"\n1. id - уникальный идентификатор точки\n\n2. address - адрес точки\n\n3. status - статус точки (открыто/закрыто/ремонт)\n\n4. coordinates - координаты\n\n5. longitude - долгота\n\n6. latitude - широта","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopPointsSuccess"}}}},"401":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopPointsBad"}}}}},"security":[{"bearerAuth":[]}]}},"/token/refresh/":{"post":{"tags":["Авторизация"],"summary":"Обновление токена","requestBody":{"description":"Отдается Refresh Token для получения нового Access Token и нового Refresh Token","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshToken"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshTokenSuccess"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshTokenBad"}}}}},"parameters":[]}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Authorize":{"type":"object","properties":{"phone":{"type":"string"}}},"AuthorizeResponseSuccess":{"type":"object"},"AuthorizeResponseBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Номер уже существует в базе данных"}]}},"Confirmation":{"type":"object","properties":{"phone":{"type":"string"},"code":{"type":"string"}}},"ConfirmationSuccess":{"type":"object","properties":{"access":{"type":"string"}},"example":{"access":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIiwiZXhwIjoxNTUxNzA0NjU1LCJqdGkiOiI5ZWI5MDA4MDJmMDg0ZjgxOGY3N2JkZWM1NDQ0NWJjYyIsInVzZXJfaWQiOjN9.XV3fXXLVrjbaQQjxp2DccLfW-rCEzQNoZWkEQXMRlA0","refresh":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCIsImV4cCI6MTU1MTc5MDc1NSwianRpIjoiOWNlODdjNzYzYTZmNDA2ZThmYWUzZmU3NmVhZGQ2ZjEiLCJ1c2VyX2lkIjozfQ.Qu-C_MhwEI8ovfYVPeg9gyqmZbV_O4xs8YbyMZorr84"}},"ConfirmationBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Неверный код подтверждения"}]}},"RefreshToken":{"type":"object","properties":{"refresh":{"type":"string"}},"example":{"refresh":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCIsImV4cCI6MTU1MTc5MDc1NSwianRpIjoiOWNlODdjNzYzYTZmNDA2ZThmYWUzZmU3NmVhZGQ2ZjEiLCJ1c2VyX2lkIjozfQ.Qu-C_MhwEI8ovfYVPeg9gyqmZbV_O4xs8YbyMZorr84"}},"RefreshTokenSuccess":{"type":"object","properties":{"access":{"type":"string"}},"example":{"access":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIiwiZXhwIjoxNTUxNzA0NjU1LCJqdGkiOiI5ZWI5MDA4MDJmMDg0ZjgxOGY3N2JkZWM1NDQ0NWJjYyIsInVzZXJfaWQiOjN9.XV3fXXLVrjbaQQjxp2DccLfW-rCEzQNoZWkEQXMRlA0","refresh":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCIsImV4cCI6MTU1MTc5MDc1NSwianRpIjoiOWNlODdjNzYzYTZmNDA2ZThmYWUzZmU3NmVhZGQ2ZjEiLCJ1c2VyX2lkIjozfQ.Qu-C_MhwEI8ovfYVPeg9gyqmZbV_O4xs8YbyMZorr84"}},"RefreshTokenBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Неверный токен обновления"}]}},"LogOutSuccess":{"type":"object"},"LogOutBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"UserUpdate":{"type":"object","properties":{"name":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"status":{"type":"object","properties":{"inside":{"type":"boolean"},"commitment":{"type":"boolean"}}}},"example":{"name":"Андрей","phone":"+79655124478","email":"qwerty@qwe.ru","status":{"inside":true,"commitment":true}}},"Card":{"type":"object","properties":{"pan":{"type":"string"},"expire_date":{"type":"string"},"cvv":{"type":"integer"}},"example":{"pan":"1234567891234567","expire_date":"12/12","cvv":"808"}},"CardPut":{"type":"object","properties":{"id":{"type":"integer"},"pan":{"type":"string"},"expire_date":{"type":"string"},"cvv":{"type":"integer"}},"example":{"id":2,"pan":"1234567891234567","expire_date":"12/12","cvv":808}},"CardSuccess":{"type":"object"},"ShopService":{"type":"object","properties":{"topic_id":{"type":"integer"},"message":{"type":"string"}},"example":{"topic_id":1,"message":"Не открывается дверь"}},"UserSuccess":{"type":"object","properties":{"name":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"payment_cards":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"pan":{"type":"string"},"expire_date":{"type":"string"}}}},"status":{"type":"object","properties":{"inside":{"type":"boolean"},"commitment":{"type":"boolean"}}}},"example":{"name":"Андрей","phone":"+79655124478","email":"qwerty@qwe.ru","payment_cards":{"id":1,"pan":"************1111","expire_date":"12/12"},"status":{"inside":true,"commitment":true}}},"UserBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Некорректный формат e-mail"}]}},"Response401":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"ShopConfirmBody":{"type":"object","properties":{"id":{"type":"integer"}},"example":{"id":23}},"AccountContentSuccess":{"type":"object","properties":{"offer":{"type":"string"},"terms_service":{"type":"string"}},"example":{"offer":"Lorem ipsum dolor","terms_service":"Lorem ipsum dolor"}},"AccountContentBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"AccountHistorySuccess":{"type":"object","properties":{"id":{"type":"integer"},"created_datetime":{"type":"string"},"positions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"price":{"type":"integer"},"title":{"type":"string"}}}}},"example":{"id":23,"datetime":"2019-03-14T11:38:14.363771Z","positions":[{"id":2,"price":500,"title":"Продукт"},{"id":3,"price":5000,"title":"Продукт2"}]}},"AccountHistoryBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"GeneralContentSuccess":{"type":"object","properties":{"about":{"type":"string"}},"example":{"about":"Lorem ipsum dolor"}},"GeneralContentBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"MapSuccess":{"type":"object"},"ShopPointsSuccess":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"address":{"type":"string"},"status":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"coordinates":{"type":"object","properties":{"longitude":{"type":"number"},"latitude":{"type":"number"}}}}},"example":[{"id":23,"address":"г. Москва, улица Фонарей 15","status":{"id":2,"name":"Ремонт"},"coordinates":{"longitude":37.618423,"latitude":55.751244}}]},"ShopPointsBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"ScanBody":{"type":"object","properties":{"code":{"type":"string"}},"example":{"code":"MTIzMjEzNzEyMzEyMw=="}},"ScanSuccess":{"type":"object","properties":{"type":{"type":"string","enum":["product","door"],"example":"product"},"node":{"type":"object","description":"object"},"status":{"type":"object","properties":{"inside":{"type":"boolean","example":true},"commitment":{"type":"boolean","example":true}}}}},"ScanBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Код неверный"}]}},"TopicSuccess":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"title":{"type":"string"}}},"example":[{"id":1,"title":"Неисправность оборудования"},{"id":2,"title":"Неисправность двери"}]},"TopicBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"CartSuccessGet":{"type":"object","properties":{"id":{"type":"integer"},"positions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"price":{"type":"integer"},"title":{"type":"string"}}}}},"example":{"id":23,"positions":[{"id":2,"price":500,"title":"Продукт"},{"id":3,"price":5000,"title":"Продукт2"}]}},"CartBadGet":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}},"CartSuccessConfirmation":{"type":"object"},"CartBadConfirmation":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Пользователь с такой корзиной не найден"}]}},"CartSuccessDelete":{"type":"object"},"CartBadDelete":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"id продукта неверный"}]}},"Session":{"type":"object","required":["type","action","token"],"properties":{"type":{"type":"integer","example":100},"action":{"type":"integer","example":102},"token":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"point":{"type":"string","example":123}}},"Session200":{"type":"object"},"Session400":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Ошибка валидации данных"}]}},"Session404":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Пользователь не найден в базе данных"}]}},"ShopServiceSuccess":{"type":"object"},"ShopServiceBad":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","enum":["error","warning","info"]},"message":{"type":"string"}}}}},"example":{"errors":[{"level":"error","message":"Токен доступа невалидный"}]}}},"links":{},"callbacks":{}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/a3188/x5_client_v2/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/a3188/x5_client/1.0.0"}],"security":[]}